clang-tools 10.0.0

Namespaces | Functions | Variables
UpgradeGoogletestCaseCheck.cpp File Reference
`#include "UpgradeGoogletestCaseCheck.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
Include dependency graph for UpgradeGoogletestCaseCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::google

## Functions
static llvm::Optional< llvm::StringRef > | clang::tidy::google::getNewMacroName (llvm::StringRef MacroName)
static llvm::StringRef | clang::tidy::google::getNewMethodName (llvm::StringRef CurrentName)
template<typename NodeType >
static bool | clang::tidy::google::isInInstantiation (const NodeType &Node, const MatchFinder::MatchResult &Result)
template<typename NodeType >
static bool | clang::tidy::google::isInTemplate (const NodeType &Node, const MatchFinder::MatchResult &Result)
static bool | clang::tidy::google::derivedTypeHasReplacementMethod (const MatchFinder::MatchResult &Result, llvm::StringRef ReplacementMethod)
static CharSourceRange | clang::tidy::google::getAliasNameRange (const MatchFinder::MatchResult &Result)

## Variables
static const llvm::StringRef | clang::tidy::google::RenameCaseToSuiteMessage